summaryrefslogtreecommitdiff
path: root/source4/heimdal_build
diff options
context:
space:
mode:
authorMatthias Dieter Wallnöfer <mdw@samba.org>2011-02-25 11:54:02 +0100
committerMatthias Dieter Wallnöfer <mdw@samba.org>2011-02-25 11:54:02 +0100
commit68c61a829b8487104483b23052b54c532fecb6ce (patch)
treeb9aaab8437d523b0d6672744b46189bc8e7885c7 /source4/heimdal_build
parent80e23c68d83a7c9989f87d5a88a78bb76d222afc (diff)
downloadsamba-68c61a829b8487104483b23052b54c532fecb6ce.tar.gz
samba-68c61a829b8487104483b23052b54c532fecb6ce.tar.bz2
samba-68c61a829b8487104483b23052b54c532fecb6ce.zip
Revert "heimdal_build omit #line statments to allow valgrind to work again"
This reverts commit 80e23c68d83a7c9989f87d5a88a78bb76d222afc. A better patch has been provided by Milan Crha in the following commit.
Diffstat (limited to 'source4/heimdal_build')
-rwxr-xr-xsource4/heimdal_build/lexyacc.sh6
1 files changed, 2 insertions, 4 deletions
diff --git a/source4/heimdal_build/lexyacc.sh b/source4/heimdal_build/lexyacc.sh
index db44e3e275..cee21668e5 100755
--- a/source4/heimdal_build/lexyacc.sh
+++ b/source4/heimdal_build/lexyacc.sh
@@ -24,8 +24,7 @@ call_lex() {
cd $dir
- # --noline specified because line directives cause more bother than they solve (including possibly invalid DWARF headers if the filename ends up as "")
- $LEX --noline $lfile || exit 1
+ $LEX $lfile || exit 1
if [ -r lex.yy.c ]; then
echo "#include \"config.h\"" > $base.c
@@ -60,8 +59,7 @@ call_yacc() {
cd $dir
- # -l specified because line directives cause more bother than they solve (including possibly invalid DWARF headers if the filename ends up as "")
- $YACC -l -d $yfile || exit 1
+ $YACC -d $yfile || exit 1
if [ -r y.tab.h -a -r y.tab.c ];then
sed -e "/^#/!b" -e "s|y\.tab\.h|$SRC|" -e "s|\"$base.y|\"$SRC|" y.tab.h > $base.h
sed -e "s|y\.tab\.c|$SRC|" -e "s|\"$base.y|\"$SRC|" y.tab.c > $base.c